Subject: Re: linux-next: build failure after merge of the pm tree

From: Andy Shevchenko <[email-masked]>
Date: Tue, 9 Feb 2021 18:04:03 +0200

On Tue, Feb 09, 2021 at 03:32:38PM +0100, Rafael J. Wysocki wrote:
> On Mon, Feb 8, 2021 at 8:48 PM Andy Shevchenko
> <[email-masked]> wrote:
> > On Mon, Feb 8, 2021 at 9:47 PM Andy Shevchenko
> > <[email-masked]> wrote:
> > > On Mon, Feb 8, 2021 at 9:30 PM Rafael J. Wysocki <[email-masked]> wrote:
> > > > On Friday, February 5, 2021 12:15:22 PM CET Andy Shevchenko wrote:
> > > > > On Fri, Feb 5, 2021 at 11:14 AM Andy Shevchenko
> > > > > <[email-masked]> wrote:
> > > > > > On Friday, February 5, 2021, Stephen Rothwell <[email-masked]> wrote:

> > > > > >> After merging the pm tree, today's linux-next build (x86_64 allmodconfig)
> > > > > >> failed like this:
> > > > > >>
> > > > > >
> > > > > > Rafael, maybe I was unclear when explaining to you the dependencies with the series of series, but all three parts should go ordered. In any case it’s easy to fix. I will send you a PR late today of the immutable tag (part 1) that needs to be included in order to avoid the above.
> > > > >
> > > > > PR had just been sent to linux-acpi@ and Rafael in Cc.
> > > >
> > > > I haven't seen that PR, though, in any of my inboxes etc.
> > > >
> > > > Can you please point me to an archive or similar where I can find it?
> > >
> > > Sure, lore has it
> > >
> > > https://lore.kernel.org/linux-acpi/[email-masked]/T/#u
> >
> > If it is possible, please pull that PR and on top of that (re-)apply
> > the MFD related series.
> 
> Done (merged into the bleeding-edge branch).

Looks perfect, thanks! I will send a last part soon (tomorrow at last).

> I was confused by it apparently asking Linus to pull. :-)

Ah, sorry, it looks like I forgot to update the text when sending it again...

-- 
With Best Regards,
Andy Shevchenko